<?php

namespace App\Http\Controllers;

use App\Resource;
use App\ResourceExtension;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class ResourceController extends Controller
{
    public function __construct()
    {
        $this->middleware([ "auth" ]);

        $this->middleware([ "check.auth:resource.list" ])->only("index");
        $this->middleware([ "check.auth:resource.show" ])->only("show");
        $this->middleware([ "check.auth:resource.create" ])->only("create", "store");
        $this->middleware([ "check.auth:resource.edit" ])->only("edit", "update");
        $this->middleware([ "check.auth:resource.delete" ])->only("delete");
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $resources = Resource::query()->paginate($request->input("limit", 20));

        return Response::detect("resources.index", [ "resources" => $resources ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return Response::detect("resources.create");
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
//        $data = $request->validate([
//            "" => ""
//        ]);

//        $resource = new Resource($data);

        $file = $request->file("resource");



        $resourceExtension = ResourceExtension::where("extension", "=", $file->extension())->first();

        if($resourceExtension === null) {
            //TODO: Create new resourceExtension!
        }
        else {

            $resource = new Resource();

            $resource->resourceExtension()->save($resourceExtension);



            $resource->save();
        }

        return Response::detect("resources.store");
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
