@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Events - Vis
@endsection

@section("path")
    <a href="{{ route('contacts.index', [ 'contacts' => $contacts ]) }}" class="text-white">Vis Kontakter</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('contacts.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Kontakt</a>

        <form method="post" action="{{ route("users.store") }}">
            @csrf
            <input type="text" class="form-controller" id="search" name="search" placeholder="Søg på Navn, Email, Telefon"></input>
        </form>

        <p></p>

    </div>
    <table class="tbl mt-2">
        <tr>
            <th>Kontakt Navn</th>
            <th>Titel</th>
            <th>E-mail</th>
            <th>Tlf</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($contacts as $contact)
            <tr>
                <td>{{ $contact->contactname }}</td>
                <td>{{ $contact->title }}</td>
                <td>{{ $contact->email }}</td>
                <td>{{ $contact->phone }}</td>
                <td><a href="{{ route("contacts.edit", [ "contact" => $contact ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("contacts.destroy", [ "contact" => $contact ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>

    <script>
        $('#search').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('contacts.search')}}',
                data: {'search':$value},
                success:function (data) {
                    $('tbody').html(data);
                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>



@endsection
