@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Link - Vis
@endsection

@section("path")
    <a href="{{ route('external-links.index') }}" class="text-white">Vis Link</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('external-links.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Ektern Link</a>
    </div>
    <table class="tbl mt-2">
        <tr>
            <th>Title</th>
            <th>Link</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($links as $link)
            <tr>
                <td>{{$link->name}}</td>
                <td><a href="{{$link->link}}">{{$link->link}}</td>
                <td><a href="{{ route("external-links.edit", [ "external_link" => $link ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("external-links.destroy", [ "external_link" => $link ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button onclick="return confirm('Are you sure you want to delete?');" class="w-100 nostyle" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>

    {{ $links->links() }}
@endsection
