<!DOCTYPE html>
<html lang="en">
<head>
    <title>@yield("title")</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link type="text/css" rel="stylesheet" href="{{ mix("/css/admin.css") }}">
    <script src="http://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
</head>
<body>
@yield("header")
<main class="row">
    <div class="col nav" style="background-color: #333333;">
        <div class="segment">
            <h3 class="text-white"><a href="{{ route('users.index') }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Brugere</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("roles.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Roller</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("menu-plans.index")}}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Menuplan</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("events.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Aktiviteter</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("washing-machines.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Vaskemaskiner</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("washing-reservations.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Reservationer</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("external-links.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Eksterne Links</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route("contacts.index") }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Kontakter</span></a></h3>
        </div>
        <div class="segment">
            <h3 class="text-white"><a href="{{ route('feedbacks.index') }}" class="text-white"><i class="fa fa-link"></i><span style="margin-left: 4px;">Feedback</span></a></h3>
        </div>
    </div>
    <div class="w-85" style="background-color: #cccccc;">
        <div class="directorypath text-white">
            <a href="{{ route('root.index') }}" class="text-white">Home</a> / @yield("path")
        </div>
        <div class="content">
            @yield("content")
        </div>
    </div>
</main>

<script src="{{ mix("/js/app.js") }}"></script>
@yield("scripts")
</body>
</html>
