@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Bruger - Rediger
@endsection

@section("path")
    <a href="{{ route('users.edit', ['user' => $user]) }}" class="text-white">Rediger Bruger</a> /
@endsection

@section("content")
    <h1>Rediger Bruger:</h1>
    {!! session()->get('error#notsamepass') !!}
    <form method="post" action="{{ route("users.update", ['user' => $user]) }}">
        @csrf
        @method("put")
        <label for="name_first">Fornavn:</label>
            <input type="text" name="name_first" id="name_first" value="{{ $user->name_first }}" required>
        <label for="name_last">Efternavn:</label>
            <input type="text" name="name_last" id="name_last" value="{{ $user->name_last }}" required>
        <label for="email">Email:</label>
            <input type="email" name="email" id="email" value="{{ $user->email }}" required>
        <label for="password1">Password: (Forblives blank, hvis password ikke skal ændres)</label>
        <div class="input-group text-left">
            <input type="password" class="form-control" name="password" id="password1" value="" placeholder="******">
            <span class="fa fa-fw fa-eye field-icon toggle-password" id="fa-new" onclick="show('password1', 'fa-new')"></span>
        </div>
        <label for="password2">Confirm Password: (Forblives blank, hvis password ikke skal ændres)</label>
        <div class="input-group text-left">
            <input type="password" class="form-control" name="password2" id="password2" value="" placeholder="******">
            <span class="fa fa-fw fa-eye field-icon toggle-password" id="fa-confirm" onclick="show('password2', 'fa-confirm')"></span>
        </div>
        <label for="tel">Telefon nr:</label>
            <input type="tel" name="phone" id="tel" value="{{ $user->phone }}" required>
        <label for="role">Rolle: (Brug ctrl og shift til at vælge flere)</label>
        <select class="w-100" name="roles[]" id="roles" class="mb-2" multiple="multiple" required>
                @if(count($user->roles) == 0)
                    <option disabled selected> -- Vælg Rolle(r) -- </option>
                    <option value>Ingen Rolle</option>
                    @foreach($roles as $role)
                        <option value="{{ $role->name }}">{{ $role->name }}</option>
                    @endforeach
                @else
                    <option disabled> -- Vælg Rolle(r) -- </option>
                    <option value>Ingen Rolle</option>
                    @foreach($roles as $role)
                        {{ $selected = "" }}
                        @foreach($user->roles as $userRole)
                            @if($userRole->id == $role->id)
                                {{ $selected = "selected" }}
                            @endif
                        @endforeach
                        <option {{ $selected }} value="{{ $role->name }}">{{ $role->name }}</option>
                    @endforeach
                @endif

            </select>
        <input type="submit" class="btn btn-dark text-white" value="Rediger">
    </form>
@endsection

@section("scripts")
    <script>
        function show($passID, $faID) {
            var inputPass = document.getElementById($passID);
            var faEye = document.getElementById($faID);

            if (inputPass.type === "password") {
                inputPass.type = "text";
                faEye.style.color = "#000";
            } else {
                inputPass.type = "password";
                faEye.style.color = "#808080";
            }
        }
    </script>
@endsection
