@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Bruger - Vis
@endsection

@section("path")
    <a href="{{ route('users.index') }}" class="text-white">Vis Brugere</a> /
@endsection

@section("content")
    <div class="row align-items-center">
        <a class="btn btn-inline btn-sde-blue mb-0" href="{{ route('users.create') }}"><img src="{{ asset('/images/icons/plus.svg') }}" alt="Create">Opret Bruger</a>

        <form method="post" action="{{ route("users.store") }}">
            @csrf
            <input type="text" class="form-controller" id="search" name="search"  placeholder="Søg efter navn,email,tlf"></input>
        </form>

        <input class="checkbox-inline" type="checkbox" name="checkbox" id="navn" value="navn">
        <label for="navn">Navn</label>
        <input class="checkbox-inline" type="checkbox" name="checkbox" id="efternavn" value="efternavn">
        <label for="efternavn">Efternavn</label>
        <input class="checkbox-inline" type="checkbox" name="checkbox" id="email" value="email">
        <label for="email">Email</label>
        <input class="checkbox-inline" type="checkbox" id="telefon" name="checkbox" value="telefon">
        <label for="telefon">Telefon</label>
        <input class="checkbox-inline" type="checkbox" id="rolle" name="checkbox"value="rolle">
        <label for="rolle">Rolle</label>
    </div>

    <table class="tbl mt-2">
        <tr>
            <th>Fornavn</th>
            <th>Efternavn</th>
            <th>Email</th>
            <th>Tlf nr</th>
            <th>Rolle(r)</th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/pencil.svg') }}" alt="Update"></th>
            <th style="width: 1em;"><img class="w-100" src="{{ asset('/images/icons/trashcan.svg') }}" alt="Delete"></th>
        </tr>
        @foreach($users as $user)
            <tr>
                <td>{{ $user->name_first }}</td>
                <td>{{ $user->name_last }}</td>
                <td>{{ $user->email }}</td>
                <td>{{ $user->phone }}</td>
                <td>

                    @for($i = 0; $i < count($user->roles); $i++)
                        @if(count($user->roles)-1 != $i)
                            {{$user->roles[$i]->name}},
                        @else
                            {{$user->roles[$i]->name}}
                        @endif
                    @endfor
                </td>
                <td><a href="{{ route("users.edit", [ "user" => $user->id ]) }}"><img class="w-100" src="{{ asset('/images/icons/pencil-dark.svg') }}" alt="Update"></a></td>
                <td><form method="post" action="{{ route("users.destroy", [ "user" => $user ]) }}" class="w-100 nostyle">
                        @csrf
                        @method("delete")

                        <button class="w-100 nostyle" onclick="return confirm('Are you sure you want to delete?');" type="submit"><img class="w-100 cursor-pointer" src="{{ asset('/images/icons/trashcan-dark.svg') }}" alt="Delete"></button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>
    {{ $users->links() }}

        <script>
            var url = new URL(window.location.href);
            var page = url.searchParams.get("page");

            $('#search').on('keyup', function () {
                $value = $(this).val();
                $checkboxValue = $( "input:checked" ).val();
                $.ajax({
                    type: 'get',
                    url: '{{route('users.search')}}',
                    data: {'search':$value, 'isCheck': $checkboxValue, 'page': page },
                    success:function (data) {
                        console.log($checkboxValue);
                        $('tbody').html(data);
                    },
                    error:function (data) {
                        console.log(data);
                    }
                });
            })
        </script>



        <script>
            $(document).ready(function(){
                $("input:checkbox").on('click', function() {
                    var $box = $(this);
                    if ($box.is(":checked")) {
                        var group = "input:checkbox[name='" + $box.attr("name") + "']";
                        $(group).prop("checked", false);
                        $box.prop("checked", true);
                    } else {
                        $box.prop("checked", false);
                    }
                });
            });
        </script>



@endsection
